import crafttweaker.item.IItemStack;

val modifiedRecipes = [
    <extrabotany:firstfractal>,
    <extrautils2:chunkloader>,
    <ae2wtlib:wut_creative>,
    <thermalinnovation:injector:32000>,
    <witchery:infinity_egg>
] as IItemStack[];

for item in modifiedRecipes {
    item.addTooltip(format.green("Changed recipe"));
    item.addTooltip(format.white("Worthy of an Egoist"));
    recipes.remove(item);
}

val demonheartVial = <xreliquary:angelheart_vial>.withTag({"witchery":true}).withDisplayName("§6Demonheart Vial");
mods.jei.JEI.addItem(demonheartVial);
val floralHeartVial = <xreliquary:angelheart_vial>.withTag({"botania":true}).withDisplayName("§aFloralheart Vial");
mods.jei.JEI.addItem(floralHeartVial);
val hemoheartVial = <xreliquary:angelheart_vial>.withTag({"bloodmagic":true}).withDisplayName("§cHemoheart Vial");
mods.jei.JEI.addItem(hemoheartVial);
val taintedheartVial = <xreliquary:angelheart_vial>.withTag({"thaumcraft":true}).withDisplayName("§5Taintedheart Vial");
mods.jei.JEI.addItem(taintedheartVial);

//Witchery angel heart
recipes.addShaped(demonheartVial * 3, [[ <witchery:charged_attuned_stone>, <witchery:blood_poppy>, null],[<witchery:flowing_spirit_brew>, <witchery:demonic_blood>, null], [<witchery:mutandis_extremis>, <extrautils2:angelring>, null]]);

//Botania angel heart
mods.botania.RuneAltar.addRecipe(floralHeartVial, [<extrabotany:material:10>, <extrabotany:material:10>, <botania:manaresource:4>, <botania:manaresource:4>, <botania:brewvial>.withTag({brewKey: "healing"}), <botania:specialflower>.withTag({type: "necrofleur"}), <extrautils2:angelring>], 1000000);

//Blood magic angel heart
mods.bloodmagic.AlchemyTable.addRecipe(hemoheartVial, [<bloodmagic:sigil_elemental_affinity>, <bloodmagic:blood_orb>.withTag({orb: "bloodmagic:archmage"}), <extrautils2:angelring>, <bloodmagic:ritual_controller>, <bloodmagic:ritual_diviner:1>, <bloodmagic:teleposition_focus:2>], 5000000,1200,5);

//Thaumcraft angel heart
mods.thaumcraft.Infusion.registerRecipe("Taintedheart Vial", "BASEARTIFICE",taintedheartVial * 4,
40,
[<aspect:victus> * 200, <aspect:praecantatio> * 100, <aspect:auram> * 25,<aspect:caeles>*15,<aspect:alienis>*50,<aspect:spiritus>*25],
<thaumcraft:jar_normal>, [
<ichoriumkit:resourcekami:2>,
<ichoriumkit:resourcekami:2>,
<thaumcraft:ingot:1>,
<extrautils2:angelring>,
<thaumicaugmentation:fortified_glass>,
<thaumcraft:bottle_taint>,
<thaumicaugmentation:fortified_glass>,
<thaumcraft:ingot:1>,
<thaumcraft:bath_salts>,
]
);


